/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.injbossaop.mbean;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1 $
 */
public class Standard implements StandardMBean
{
   int value;
   
   public int getValue()
   {
      try
      {
         System.out.println("***StandardMBean reading value");
         return value;
      }
      finally
      {
         System.out.println("***StandardMBean read value");
      }
      
   }
   
   public void setValue(int val)
   {
      System.out.println("***StandardMBean setting value");
      value = val;
      System.out.println("***StandardMBean set value");
   }
   
   public void method()
   {
      System.out.println("***StandardMBean method");
   }

}
