/* *************************************
 *                                     *
 *  JBoss: The OpenSource J2EE WebOS   *
 *                                     *
 *  Distributable under LGPL license.  *
 *  See terms of license at gnu.org.   *
 *                                     *
 ************************************* */
package org.jboss.injbossaop.web;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.jboss.injbossaop.lib.ExampleValue;

/** 
 *  
 * @author <a href="mailto:kabirkhan@bigfoot.com">Kabir Khan</a>
 *
 */
public class BasicExampleServlet extends HttpServlet {

   public void service(HttpServletRequest request, HttpServletResponse response)
         throws ServletException, IOException {
      String s = request.getParameter("field1");
      
      System.out.println("**** BasicExampleServlet.service()");
      request.getSession().setAttribute("exampleValue", new ExampleValue(s));
      request.getRequestDispatcher("/index.jsp").forward(request, response);
   }
}
