/* 
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

import org.jboss.aop.Precedence;
import org.jboss.aop.PrecedenceAdvice;
import org.jboss.aop.PrecedenceInterceptor;
/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.3 $
 */
@Precedence
public class Precedence2
{
   @PrecedenceInterceptor
   public static SimpleInterceptor2 simple2;

   @PrecedenceAdvice ("advice")
   public static TestAspect advice;

   @PrecedenceInterceptor
   public static SimpleInterceptor3 simple3;

   @PrecedenceAdvice ("otherAdvice")
   public static TestAspect otherAdvice;
}
