/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

import org.jboss.aop.joinpoint.Invocation;
import org.jboss.aop.advice.Interceptor;

/**
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2 $
 */
public class ChangeInterceptor implements Interceptor
{
   public String getName() { return "ChangeInterceptor"; }

   public Object invoke(Invocation invocation) throws Throwable
   {
      CalledPOJO pojo = (CalledPOJO)invocation.getTargetObject();
      pojo.foo = 28;
      return invocation.invokeNext();
   }
}
