/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

import org.jboss.aop.joinpoint.Invocation;
import org.jboss.aop.advice.Interceptor;

/**
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1 $
 */
public class CallerInterceptor1 implements Interceptor
{
   public String getName() { return "CallerInterceptor1"; }

   public Object invoke(Invocation invocation) throws Throwable
   {
      try
      {
         System.out.println("<<< Entering CallerInterceptor1");
         return invocation.invokeNext();
      }
      finally
      {
         System.out.println(">>> Leaving CallerInterceptor1");
      }
   }
}
