/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

import org.jboss.aop.joinpoint.Invocation;
import org.jboss.aop.advice.Interceptor;

/**
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1 $
 */
public class SimpleInterceptor3 implements Interceptor
{
   public String getName() { return "SimpleInterceptor3"; }

   public Object invoke(Invocation invocation) throws Throwable
   {
      System.out.println(getName());
      return invocation.invokeNext();
   }
}
