/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

/**
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1 $
 */
public class POJO
{
   private String var;

   public POJO() 
   {
      System.out.println("empty constructor");
      var = "hello world";
      privateMethod();
      avoidMethod();
   }

   private void privateMethod() { System.out.println("privateMethod"); }

   private void avoidMethod() { System.out.println("avoidMethod"); }

   public void publicMethod() { System.out.println("publicMethod"); }

}



