/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

/**
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1 $
 */
public class POJO
{
   public void noop() 
   {
      System.out.println("noop()");
   }

   public void test1(String param)
   {
      System.out.println("test1(String param): " + param);
   }

   public void test2(int param)
   {
      System.out.println("test2(int param): " + param);
      callBar();
   }

   public static void test2()
   {
      System.out.println("static method");
   }

   public void callBar()
   {
      new Bar().hello();
   }

   public class Bar
   {
      public void hello() { System.out.println("hello"); }
   }
}



